Bug 196352 - NullPointerException at org.netbeans.modules.cnd.debugger.gdb2.GdbHandlerExpert.commandFormNew
NullPointerException at org.netbeans.modules.cnd.debugger.gdb2.GdbHandlerExpe...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0
All All
: P3 (vote)
: 7.0.1
Assigned To: Egor Ushakov
issues@cnd
EXCEPTIONS_REPORT, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-05 16:45 UTC by Vladimir Kvashin
Modified: 2017-04-08 03:06 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.69 KB, text/plain)
2011-03-05 16:45 UTC, Vladimir Kvashin
Details
stacktrace (3.66 KB, text/plain)
2011-08-08 09:00 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-03-05 16:45:43 UTC
Build: NetBeans IDE Dev (Build 110305-e2467b8d7ca8)
VM: Java HotSpot(TM) Client VM, 17.1-b03, Java(TM) SE Runtime Environment, 1.6.0_22-b04
OS: Windows XP

User Comments:
vkvashin: I was debugging full remote project on Windows,
clicked on gutter to set a breakpoint




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.debugger.gdb2.GdbHandlerExpert.commandFormNew(GdbHandlerExpert.java:162)
   at org.netbeans.modules.cnd.debugger.common2.debugger.breakpoints.Handler.postNewHandler(Handler.java:263)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ToggleBreakpointActionProvider.doAction(ToggleBreakpointActionProvider.java:177)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.NativeActionsProvider.postAction(NativeActionsProvider.java:80)
   at org.netbeans.modules.cnd.debugger.common2.debugger.actions.ToggleBreakpointActionProvider.postAction(ToggleBreakpointActionProvider.java:84)
   at org.netbeans.api.debugger.ActionsManager.postAction(ActionsManager.java:240)
Comment 1 Vladimir Kvashin 2011-03-05 16:45:47 UTC
Created attachment 106748 [details]
stacktrace
Comment 2 Egor Ushakov 2011-06-17 15:40:27 UTC
this could happen if gdb was not started properly.
easy steps to reproduce:
- change gdb location in the toolchain to the incorrect one
- start debugging
it will end up in the endless "starting gdb"
- but the progress window is not modal, so you can go and try to set a line breakpoint and get the exception
Comment 3 Exceptions Reporter 2011-08-03 16:08:55 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=177302
Comment 4 Vladimir Voskresensky 2011-08-04 16:09:29 UTC
occurred in hotspot dev
Comment 5 Vladimir Voskresensky 2011-08-04 16:10:12 UTC
hotspot by default is compiled in optimized mode and user does some clicks before can set real breakpoint
Comment 6 Exceptions Reporter 2011-08-08 09:00:32 UTC
Created attachment 109846 [details]
stacktrace
Comment 7 Egor Ushakov 2011-08-17 15:04:35 UTC
fixed in http://hg.netbeans.org/cnd-main/rev/f3df59ad9009
Comment 8 Egor Ushakov 2011-08-17 15:17:46 UTC
please verify on elif
Comment 9 Quality Engineering 2011-08-18 13:52:00 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f3df59ad9009
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196352 (NPE in GdbHandlerExpert.commandFormNew)
Comment 10 dnikitin 2011-08-19 14:07:17 UTC
verified in NetBeans IDE 7.0.1 (Build oss-platform-build-23-on-20110818)
Comment 11 Alexander Simon 2011-08-24 11:57:43 UTC
integrated in release701_fixes:
105628ef851c transplanted to eb8bbc63bf7a 84915cc3965a
Comment 12 Quality Engineering 2011-08-25 04:28:00 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/eb8bbc63bf7a
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196352 (NPE in GdbHandlerExpert.commandFormNew)
(transplanted from 105628ef851c48a9acd91f787582a2b355b91338)
Comment 13 dnikitin 2011-08-30 11:29:14 UTC
verified in 7.0.1 patch
Comment 14 Quality Engineering 2011-09-26 13:29:08 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/105628ef851c
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196352 (NPE in GdbHandlerExpert.commandFormNew)
Comment 15 Quality Engineering 2017-04-08 03:06:37 UTC
Integrated into 'main-silver', will be available in build *201704080002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/1ffe3ed4099e
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196352 (NPE in GdbHandlerExpert.commandFormNew)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo